# MSP::CCS::Mercator Class Reference

`#include <Mercator.h>`

Inheritance diagram for MSP::CCS::Mercator:

List of all members.

## Public Member Functions

| Mercator (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double standardParallel, double falseEasting, double falseNorthing, double *scaleFactor)
| Mercator::Mercator (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing, double scaleFactor)
| Mercator (const Mercator &m)
| ~Mercator (void)
Mercator & | operator= (const Mercator &m)
MercatorStandardParallelParameters * | getStandardParallelParameters () const
MercatorScaleFactorParameters * | getScaleFactorParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 101 of file Mercator.h.

## Constructor & Destructor Documentation

Mercator::Mercator | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | standardParallel,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double * | scaleFactor |
| ) |  |  |

Definition at line 125 of file Mercator.cpp.

Mercator::Mercator | ( | const Mercator & | m | ) |

Definition at line 361 of file Mercator.cpp.

Mercator::~Mercator | ( | void |  | ) |

Definition at line 382 of file Mercator.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Mercator::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 458 of file Mercator.cpp.

MSP::CCS::GeodeticCoordinates * Mercator::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 515 of file Mercator.cpp.

MercatorScaleFactorParameters * Mercator::getScaleFactorParameters | ( |  | ) | const

Definition at line 435 of file Mercator.cpp.

MercatorStandardParallelParameters * Mercator::getStandardParallelParameters | ( |  | ) | const

Definition at line 413 of file Mercator.cpp.

MSP::CCS::Mercator::Mercator::Mercator | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double | scaleFactor |
| ) |  |  |

Mercator & Mercator::operator= | ( | const Mercator & | m | ) |

Definition at line 387 of file Mercator.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mercator/Mercator.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/mercator/Mercator.cpp